package com.kingdee.eas.custom.compensation.startingsalary;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractSalaryConfirmationInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractSalaryConfirmationInfo()
    {
        this("id");
    }
    protected AbstractSalaryConfirmationInfo(String pkField)
    {
        super(pkField);
        put("Entrys1", new com.kingdee.eas.custom.compensation.startingsalary.SalaryConfirmationEntrys1Collection());
        put("entrys", new com.kingdee.eas.custom.compensation.startingsalary.SalaryConfirmationEntryCollection());
    }
    /**
     * Object: 薪酬确认单 's 试用期薪酬数据 property 
     */
    public com.kingdee.eas.custom.compensation.startingsalary.SalaryConfirmationEntryCollection getEntrys()
    {
        return (com.kingdee.eas.custom.compensation.startingsalary.SalaryConfirmationEntryCollection)get("entrys");
    }
    /**
     * Object:薪酬确认单's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object: 薪酬确认单 's 转正后薪酬数据 property 
     */
    public com.kingdee.eas.custom.compensation.startingsalary.SalaryConfirmationEntrys1Collection getEntrys1()
    {
        return (com.kingdee.eas.custom.compensation.startingsalary.SalaryConfirmationEntrys1Collection)get("Entrys1");
    }
    /**
     * Object: 薪酬确认单 's 员工 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("person");
    }
    public void setPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("person", item);
    }
    /**
     * Object:薪酬确认单's 入职日期property 
     */
    public java.util.Date getHireDate()
    {
        return getDate("hireDate");
    }
    public void setHireDate(java.util.Date item)
    {
        setDate("hireDate", item);
    }
    /**
     * Object: 薪酬确认单 's 任职组织 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getAdminOrg()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("adminOrg");
    }
    public void setAdminOrg(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("adminOrg", item);
    }
    /**
     * Object: 薪酬确认单 's 任职职位 property 
     */
    public com.kingdee.eas.basedata.org.PositionInfo getPosition()
    {
        return (com.kingdee.eas.basedata.org.PositionInfo)get("position");
    }
    public void setPosition(com.kingdee.eas.basedata.org.PositionInfo item)
    {
        put("position", item);
    }
    /**
     * Object:薪酬确认单's 电子签状态property 
     */
    public com.kingdee.eas.custom.compensation.startingsalary.bizEnum.ESignStatusEnum getESignStatus()
    {
        return com.kingdee.eas.custom.compensation.startingsalary.bizEnum.ESignStatusEnum.getEnum(getString("eSignStatus"));
    }
    public void setESignStatus(com.kingdee.eas.custom.compensation.startingsalary.bizEnum.ESignStatusEnum item)
    {
		if (item != null) {
        setString("eSignStatus", item.getValue());
		}
    }
    /**
     * Object: 薪酬确认单 's 其他合同单据 property 
     */
    public com.kingdee.eas.hr.emp.EmployeeOtherContractInfo getOtherContractBill()
    {
        return (com.kingdee.eas.hr.emp.EmployeeOtherContractInfo)get("otherContractBill");
    }
    public void setOtherContractBill(com.kingdee.eas.hr.emp.EmployeeOtherContractInfo item)
    {
        put("otherContractBill", item);
    }
    /**
     * Object:薪酬确认单's 试用期岗位工资property 
     */
    public java.math.BigDecimal getSTransferPositionSalary()
    {
        return getBigDecimal("sTransferPositionSalary");
    }
    public void setSTransferPositionSalary(java.math.BigDecimal item)
    {
        setBigDecimal("sTransferPositionSalary", item);
    }
    /**
     * Object:薪酬确认单's 试用期基本工资property 
     */
    public java.math.BigDecimal getSTransferBaseSalary()
    {
        return getBigDecimal("sTransferBaseSalary");
    }
    public void setSTransferBaseSalary(java.math.BigDecimal item)
    {
        setBigDecimal("sTransferBaseSalary", item);
    }
    /**
     * Object:薪酬确认单's 试用期绩效工资property 
     */
    public java.math.BigDecimal getSTransferPerfSalaryBas()
    {
        return getBigDecimal("sTransferPerfSalaryBas");
    }
    public void setSTransferPerfSalaryBas(java.math.BigDecimal item)
    {
        setBigDecimal("sTransferPerfSalaryBas", item);
    }
    /**
     * Object:薪酬确认单's 试用期月工资标准property 
     */
    public java.math.BigDecimal getSTransferSalary()
    {
        return getBigDecimal("sTransferSalary");
    }
    public void setSTransferSalary(java.math.BigDecimal item)
    {
        setBigDecimal("sTransferSalary", item);
    }
    /**
     * Object:薪酬确认单's 试用期保密费property 
     */
    public java.math.BigDecimal getSTransferConfidentialFee()
    {
        return getBigDecimal("sTransferConfidentialFee");
    }
    public void setSTransferConfidentialFee(java.math.BigDecimal item)
    {
        setBigDecimal("sTransferConfidentialFee", item);
    }
    /**
     * Object:薪酬确认单's 试用期加班费property 
     */
    public java.math.BigDecimal getSTransferAgreedOvertimePay()
    {
        return getBigDecimal("sTransferAgreedOvertimePay");
    }
    public void setSTransferAgreedOvertimePay(java.math.BigDecimal item)
    {
        setBigDecimal("sTransferAgreedOvertimePay", item);
    }
    /**
     * Object:薪酬确认单's 试用期其他补贴property 
     */
    public java.math.BigDecimal getSTransferOtherSubsidy()
    {
        return getBigDecimal("sTransferOtherSubsidy");
    }
    public void setSTransferOtherSubsidy(java.math.BigDecimal item)
    {
        setBigDecimal("sTransferOtherSubsidy", item);
    }
    /**
     * Object:薪酬确认单's 正式月工资标准property 
     */
    public java.math.BigDecimal getZTransferSalary()
    {
        return getBigDecimal("zTransferSalary");
    }
    public void setZTransferSalary(java.math.BigDecimal item)
    {
        setBigDecimal("zTransferSalary", item);
    }
    /**
     * Object:薪酬确认单's 正式基本工资property 
     */
    public java.math.BigDecimal getZTransferBaseSalary()
    {
        return getBigDecimal("zTransferBaseSalary");
    }
    public void setZTransferBaseSalary(java.math.BigDecimal item)
    {
        setBigDecimal("zTransferBaseSalary", item);
    }
    /**
     * Object:薪酬确认单's 正式岗位工资property 
     */
    public java.math.BigDecimal getZTransferPositionSalary()
    {
        return getBigDecimal("zTransferPositionSalary");
    }
    public void setZTransferPositionSalary(java.math.BigDecimal item)
    {
        setBigDecimal("zTransferPositionSalary", item);
    }
    /**
     * Object:薪酬确认单's 正式绩效工资基数property 
     */
    public java.math.BigDecimal getZTransferPerfSalaryBas()
    {
        return getBigDecimal("zTransferPerfSalaryBas");
    }
    public void setZTransferPerfSalaryBas(java.math.BigDecimal item)
    {
        setBigDecimal("zTransferPerfSalaryBas", item);
    }
    /**
     * Object:薪酬确认单's 正式保密费property 
     */
    public java.math.BigDecimal getZTransferConfidentialFee()
    {
        return getBigDecimal("zTransferConfidentialFee");
    }
    public void setZTransferConfidentialFee(java.math.BigDecimal item)
    {
        setBigDecimal("zTransferConfidentialFee", item);
    }
    /**
     * Object:薪酬确认单's 正式加班费property 
     */
    public java.math.BigDecimal getZTransferAgreedOvertimePay()
    {
        return getBigDecimal("zTransferAgreedOvertimePay");
    }
    public void setZTransferAgreedOvertimePay(java.math.BigDecimal item)
    {
        setBigDecimal("zTransferAgreedOvertimePay", item);
    }
    /**
     * Object:薪酬确认单's 正式其他补贴property 
     */
    public java.math.BigDecimal getZTransferOtherSubsidy()
    {
        return getBigDecimal("zTransferOtherSubsidy");
    }
    public void setZTransferOtherSubsidy(java.math.BigDecimal item)
    {
        setBigDecimal("zTransferOtherSubsidy", item);
    }
    /**
     * Object: 薪酬确认单 's 录用报批单据 property 
     */
    public com.kingdee.shr.recuritment.RecApprovalInfo getRecApproval()
    {
        return (com.kingdee.shr.recuritment.RecApprovalInfo)get("recApproval");
    }
    public void setRecApproval(com.kingdee.shr.recuritment.RecApprovalInfo item)
    {
        put("recApproval", item);
    }
    /**
     * Object: 薪酬确认单 's 入职单分录 property 
     */
    public com.kingdee.eas.hr.affair.EmpEnrollBizBillEntryInfo getEmpEnrollEntry()
    {
        return (com.kingdee.eas.hr.affair.EmpEnrollBizBillEntryInfo)get("empEnrollEntry");
    }
    public void setEmpEnrollEntry(com.kingdee.eas.hr.affair.EmpEnrollBizBillEntryInfo item)
    {
        put("empEnrollEntry", item);
    }
    /**
     * Object:薪酬确认单's 单据状态property 
     */
    public com.kingdee.eas.hr.base.HRBillStateEnum getBillState()
    {
        return com.kingdee.eas.hr.base.HRBillStateEnum.getEnum(getInt("billState"));
    }
    public void setBillState(com.kingdee.eas.hr.base.HRBillStateEnum item)
    {
		if (item != null) {
        setInt("billState", item.getValue());
		}
    }
    /**
     * Object:薪酬确认单's 是否生成合同property 
     */
    public boolean isIsGenerateContract()
    {
        return getBoolean("isGenerateContract");
    }
    public void setIsGenerateContract(boolean item)
    {
        setBoolean("isGenerateContract", item);
    }
    /**
     * Object:薪酬确认单's 是否生成电子签property 
     */
    public boolean isIsGenerateSignature()
    {
        return getBoolean("isGenerateSignature");
    }
    public void setIsGenerateSignature(boolean item)
    {
        setBoolean("isGenerateSignature", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("819DF3F4");
    }
}